SYSMERGE(8)

NAME
sysmerge - update system configuration files

SYNOPSIS
sysmerge [-bdp]

DESCRIPTION
sysmerge is a utility designed to help the administrator update configuration files after upgrading to a new release or snapshot.

sysmerge works by comparing a reference root directory against currently installed files.

sysmerge will work through the fileset, offering the chance to merge any differences using sdiff(1). Merged files may be edited using the default editor or be left to deal with at a later date. Should any problems occur, such as a failure to upgrade a file, the user will be notified and will have to deal with the issue by hand.

By default (if -d is not used) sysmerge only compares files whose reference sources have changed since the last run and attempts to automatically upgrade them to the newest version, provided that they have no local changes. It automatically installs missing files and binaries, and updates files differing only by CVS Id. Files whose reference sources have matching CVS Id are skipped from comparison. /etc/fbtab and /etc/ttys are created using helper scripts and are always compared. Users and groups that are missing from the current installation but present in the new master.passwd(5) and group(5) files will always be automatically (re)created.

sysmerge will finish by running mtree(8) to make sure the directory structure has correct permissions.

The options are as follows:

-b  Batch mode. sysmerge runs non-interactively, saving differing files for later manual processing.

-d  Diff mode. sysmerge does not take any automatic action, allowing for a full diff comparison.

-p  Package mode. sysmerge only compares the default configuration files of installed packages(7) against their target on the system (@sample).

Files can be excluded from comparison by listing them in /etc/sysmerge.ignore. Checksum files stored under /var/sysmerge as well as the following files will always be skipped from direct comparison: /etc/group, /etc/localtime, /etc/master.passwd, /etc/motd, /etc/passwd, /etc/pwd.db, /etc/spwd.db, /var/db/locate.database, /var/mail/root.

ENVIRONMENT

EDITOR, VISUAL
    Specifies an editor to use. If both EDITOR and VISUAL are set, VISUAL takes precedence. If neither EDITOR nor VISUAL are set, the default is vi(1).

PAGER
    Specifies the pagination program to use. If PAGER is empty or not set, more(1) will be used.

FILES
/etc/sysmerge.ignore
    Files and directories to ignore from comparison.
/var/sysmerge/backups
    Directory containing backup of sysmerge last run modified files. Rotated automatically in order of increasing age from backups.0 to backups.3.
/var/sysmerge/etc.tgz
    Base system set containing the reference files corresponding to the currently installed release.
/var/sysmerge/xetc.tgz
    X(7) set containing the reference files corresponding to the currently installed release.

SEE ALSO
more(1), sdiff(1)

https://www.openbsd.org/faq/current.html https://www.openbsd.org/faq/upgradeXX.html

HISTORY
The sysmerge script first appeared in OpenBSD 4.4.

AUTHORS
-nosplit sysmerge was written by Antoine Jacoutot <ajacoutot@openbsd.org>. It was originally started as a friendly fork from mergemaster by Douglas Barton <DougB@FreeBSD.org>.